.invalid-pl-message {
    position: absolute;
    bottom: -30px;
    top: auto;
}

tfoot{
    display: table-header-group;
}

.form-control:disabled, .form-control[readonly]{
    pointer-events: none
}

.autoinput-border {
    background-color: #18b5ff70 !important;
    border: 1px dashed black;
}

.level-4.disabled{
    height: 57px;
    border-color: #9e9e9e30;
}

.alert-dismissible .close {
    padding: .50rem 1.25rem !important;
}

/** Graph Css Starts */
.cgraph {
    width: 100%;
    float: left;
    transform: scale(1);
}

.cgraph p,
.legend {
    font-size: 10px;
}

.cgraph a,
.legend {
    font-size: 10px;
}

.left-sec {
    width: 80%;
}

.right-sec {
    width: 20%;
}

.cell {
    display: flex;
}

.box {
    width: 33.33%;
    /* padding: 2px; */
    padding: 15px;
    box-sizing: border-box;
    position: relative;
}

.box-content {
    border: 2px solid #18B5FF;
    text-align: center;
    /* min-height: 60px; */
    min-height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    position: relative;
}

.box.b .box-content::before {
    content: "";
    display: block;
    background: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2211%22%20height%3D%2248.731%22%20viewBox%3D%220%200%2011%2048.731%22%3E%3Cg%20id%3D%22arrow%22%20transform%3D%22translate%28-224%20-276%29%22%3E%3Cpath%20d%3D%22M221.022%2C269v47.487%22%20transform%3D%22translate%288.478%208.244%29%22%20fill%3D%22none%22%20stroke%3D%22%2318b5ff%22%20stroke-width%3D%222%22/%3E%3Cpath%20d%3D%22M5.5%2C0%2C11%2C8H0Z%22%20transform%3D%22translate%28224%20276%29%22%20fill%3D%22%2318b5ff%22/%3E%3C/g%3E%3C/svg%3E") no-repeat;
    background-size: 11px;
    width: 11px;
    height: 30px;
    top: -30px;
    position: absolute;
}

.box.b .box-content::after {
    content: "";
    display: block;
    background: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2211%22%20height%3D%2248.731%22%20viewBox%3D%220%200%2011%2048.731%22%3E%3Cg%20id%3D%22arrow%22%20transform%3D%22translate%28-224%20-276%29%22%3E%3Cpath%20d%3D%22M221.022%2C269v47.487%22%20transform%3D%22translate%288.478%208.244%29%22%20fill%3D%22none%22%20stroke%3D%22%2318b5ff%22%20stroke-width%3D%222%22/%3E%3Cpath%20d%3D%22M5.5%2C0%2C11%2C8H0Z%22%20transform%3D%22translate%28224%20276%29%22%20fill%3D%22%2318b5ff%22/%3E%3C/g%3E%3C/svg%3E") no-repeat;
    background-size: 11px;
    width: 11px;
    height: 30px;
    bottom: -30px;
    position: absolute;
    transform: rotate(180deg);
}

.vertical-bar {
    padding: 5px;
    box-sizing: border-box;
    width: 50%;
    position: relative;
}

.vertical-bar .legend {
    padding: 2px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid #18B5FF;
}

.vertical-bar .control {
    /* height: 58px; */
    height: 150px;
    width: 2px;
    background: #18B5FF;
    margin: 0 auto;
    position: relative;
}

.vertical-bar .control.top span {
    content: "";
    display: block;
    background: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2218.337%22%20height%3D%2218.337%22%20viewBox%3D%220%200%2018.337%2018.337%22%3E%3Crect%20width%3D%2212.966%22%20height%3D%2212.966%22%20transform%3D%22translate%289.168%29%20rotate%2845%29%22%20fill%3D%22red%22/%3E%3C/svg%3E") no-repeat;
    background-size: 14px;
    width: 14px;
    height: 14px;
    bottom: 0px;
    left: -6px;
    position: absolute;
}

.vertical-bar .control.btm span {
    content: "";
    display: block;
    background: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2218.337%22%20height%3D%2218.337%22%20viewBox%3D%220%200%2018.337%2018.337%22%3E%3Crect%20width%3D%2212.966%22%20height%3D%2212.966%22%20transform%3D%22translate%289.168%29%20rotate%2845%29%22%20fill%3D%22red%22/%3E%3C/svg%3E") no-repeat;
    background-size: 14px;
    width: 14px;
    height: 14px;
    top: 0px;
    left: -6px;
    position: absolute;
}

.dot {
    height: 15px;
    width: 15px;
    background-color: red;
    border-radius: 50%;
    position: absolute;
    /* top: 4px; */
    top: 25px;
    left: 0;
    right: 0;
    margin: 0 auto;
}

.box-modal {
    width: 33.33%;
    padding: 15px;
    box-sizing: border-box;
    position: relative;
}

.box-content-modal {
    border: 2px solid #18B5FF;
    text-align: center;
    min-height: 130px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    position: relative;
}

.box-modal.b .box-content-modal::before {
    content: "";
    display: block;
    background: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2211%22%20height%3D%2248.731%22%20viewBox%3D%220%200%2011%2048.731%22%3E%3Cg%20id%3D%22arrow%22%20transform%3D%22translate%28-224%20-276%29%22%3E%3Cpath%20d%3D%22M221.022%2C269v47.487%22%20transform%3D%22translate%288.478%208.244%29%22%20fill%3D%22none%22%20stroke%3D%22%2318b5ff%22%20stroke-width%3D%222%22/%3E%3Cpath%20d%3D%22M5.5%2C0%2C11%2C8H0Z%22%20transform%3D%22translate%28224%20276%29%22%20fill%3D%22%2318b5ff%22/%3E%3C/g%3E%3C/svg%3E") no-repeat;
    background-size: 11px;
    width: 11px;
    height: 31px;
    top: -33px;
    position: absolute;
}

.box-modal.b .box-content-modal::after {
    content: "";
    display: block;
    background: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2211%22%20height%3D%2248.731%22%20viewBox%3D%220%200%2011%2048.731%22%3E%3Cg%20id%3D%22arrow%22%20transform%3D%22translate%28-224%20-276%29%22%3E%3Cpath%20d%3D%22M221.022%2C269v47.487%22%20transform%3D%22translate%288.478%208.244%29%22%20fill%3D%22none%22%20stroke%3D%22%2318b5ff%22%20stroke-width%3D%222%22/%3E%3Cpath%20d%3D%22M5.5%2C0%2C11%2C8H0Z%22%20transform%3D%22translate%28224%20276%29%22%20fill%3D%22%2318b5ff%22/%3E%3C/g%3E%3C/svg%3E") no-repeat;
    background-size: 11px;
    width: 11px;
    height: 31px;
    bottom: -33px;
    position: absolute;
    transform: rotate(180deg);
}

.vertical-bar-modal {
    padding: 5px;
    box-sizing: border-box;
    width: 50%;
    position: relative;
}

.vertical-bar-modal .legend { 
    padding: 0;  /* 2px; */
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid #18B5FF;
}

.vertical-bar-modal .control {
    height: 188px; /* 195px;*/
    width: 2px;
    background: #18B5FF;
    margin: 0 auto;
    position: relative;
}

.vertical-bar-modal .control.top span {
    content: "";
    display: block;
    background: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2218.337%22%20height%3D%2218.337%22%20viewBox%3D%220%200%2018.337%2018.337%22%3E%3Crect%20width%3D%2212.966%22%20height%3D%2212.966%22%20transform%3D%22translate%289.168%29%20rotate%2845%29%22%20fill%3D%22red%22/%3E%3C/svg%3E") no-repeat;
    background-size: 20px; /*14px;*/
    width: 20px; /*14px;*/
    height: 20px; /*14px;*/
    bottom: 0px;
    left: -9px; /*-6px;*/
    position: absolute;
}

.vertical-bar-modal .control.btm span {
    content: "";
    display: block;
    background: url("data:image/svg+xml;charset=utf-8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2218.337%22%20height%3D%2218.337%22%20viewBox%3D%220%200%2018.337%2018.337%22%3E%3Crect%20width%3D%2212.966%22%20height%3D%2212.966%22%20transform%3D%22translate%289.168%29%20rotate%2845%29%22%20fill%3D%22red%22/%3E%3C/svg%3E") no-repeat;
    background-size: 14px;
    width: 14px;
    height: 14px;
    top: 0px;
    left: -6px;
    position: absolute;
}

.dot-circle {
    height: 15px;
    width: 15px;
    background-color: red;
    border-radius: 50%;
    position: absolute;
    top: 25px;
    left: 47%;
    right: 47%;
}
/** Graph Css Ends */

.profile-name {
    font-weight: 500;
    text-transform: uppercase;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

.modal input::placeholder {
    /* white-space: pre; */
    /* word-break: break-all; */
    word-break: break-word;
    white-space: normal;
}

.modal input.form-control { 
    background-color: #fff;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    outline: none;
}

.bg-cream {
    background-color: #FFFDD0 !important;
}

.tooltip > .tooltip-inner {
    background-color: #dc3545 !important;
}

/* .tooltip.top > .tooltip-arrow {
    border-top-color: #f00 !important;
}

.tooltip.bottom > .tooltip-arrow {
    border-bottom-color: #f00 !important;
}

.tooltip.left > .tooltip-arrow {
    border-left-color: #f00 !important;
}

.tooltip.right > .tooltip-arrow {
    border-right-color: #f00 !important;
} */